import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { BatchAcknowledgeAlarmCommandInput, BatchAcknowledgeAlarmCommandOutput } from "../commands/BatchAcknowledgeAlarmCommand";
import { BatchDisableAlarmCommandInput, BatchDisableAlarmCommandOutput } from "../commands/BatchDisableAlarmCommand";
import { BatchEnableAlarmCommandInput, BatchEnableAlarmCommandOutput } from "../commands/BatchEnableAlarmCommand";
import { BatchPutMessageCommandInput, BatchPutMessageCommandOutput } from "../commands/BatchPutMessageCommand";
import { BatchResetAlarmCommandInput, BatchResetAlarmCommandOutput } from "../commands/BatchResetAlarmCommand";
import { BatchSnoozeAlarmCommandInput, BatchSnoozeAlarmCommandOutput } from "../commands/BatchSnoozeAlarmCommand";
import { BatchUpdateDetectorCommandInput, BatchUpdateDetectorCommandOutput } from "../commands/BatchUpdateDetectorCommand";
import { DescribeAlarmCommandInput, DescribeAlarmCommandOutput } from "../commands/DescribeAlarmCommand";
import { DescribeDetectorCommandInput, DescribeDetectorCommandOutput } from "../commands/DescribeDetectorCommand";
import { ListAlarmsCommandInput, ListAlarmsCommandOutput } from "../commands/ListAlarmsCommand";
import { ListDetectorsCommandInput, ListDetectorsCommandOutput } from "../commands/ListDetectorsCommand";
export declare const serializeAws_restJson1BatchAcknowledgeAlarmCommand: (input: BatchAcknowledgeAlarmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchDisableAlarmCommand: (input: BatchDisableAlarmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchEnableAlarmCommand: (input: BatchEnableAlarmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchPutMessageCommand: (input: BatchPutMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchResetAlarmCommand: (input: BatchResetAlarmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchSnoozeAlarmCommand: (input: BatchSnoozeAlarmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchUpdateDetectorCommand: (input: BatchUpdateDetectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeAlarmCommand: (input: DescribeAlarmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeDetectorCommand: (input: DescribeDetectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListAlarmsCommand: (input: ListAlarmsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListDetectorsCommand: (input: ListDetectorsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_restJson1BatchAcknowledgeAlarmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchAcknowledgeAlarmCommandOutput>;
export declare const deserializeAws_restJson1BatchDisableAlarmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchDisableAlarmCommandOutput>;
export declare const deserializeAws_restJson1BatchEnableAlarmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchEnableAlarmCommandOutput>;
export declare const deserializeAws_restJson1BatchPutMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchPutMessageCommandOutput>;
export declare const deserializeAws_restJson1BatchResetAlarmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchResetAlarmCommandOutput>;
export declare const deserializeAws_restJson1BatchSnoozeAlarmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchSnoozeAlarmCommandOutput>;
export declare const deserializeAws_restJson1BatchUpdateDetectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchUpdateDetectorCommandOutput>;
export declare const deserializeAws_restJson1DescribeAlarmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAlarmCommandOutput>;
export declare const deserializeAws_restJson1DescribeDetectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDetectorCommandOutput>;
export declare const deserializeAws_restJson1ListAlarmsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAlarmsCommandOutput>;
export declare const deserializeAws_restJson1ListDetectorsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDetectorsCommandOutput>;
