import { __assign, __extends } from "tslib";
import { IoTEventsDataServiceException as __BaseException } from "./IoTEventsDataServiceException";
export var AcknowledgeActionConfiguration;
(function (AcknowledgeActionConfiguration) {
    AcknowledgeActionConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AcknowledgeActionConfiguration || (AcknowledgeActionConfiguration = {}));
export var AcknowledgeAlarmActionRequest;
(function (AcknowledgeAlarmActionRequest) {
    AcknowledgeAlarmActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AcknowledgeAlarmActionRequest || (AcknowledgeAlarmActionRequest = {}));
export var CustomerActionName;
(function (CustomerActionName) {
    CustomerActionName["ACKNOWLEDGE"] = "ACKNOWLEDGE";
    CustomerActionName["DISABLE"] = "DISABLE";
    CustomerActionName["ENABLE"] = "ENABLE";
    CustomerActionName["RESET"] = "RESET";
    CustomerActionName["SNOOZE"] = "SNOOZE";
})(CustomerActionName || (CustomerActionName = {}));
export var DisableActionConfiguration;
(function (DisableActionConfiguration) {
    DisableActionConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisableActionConfiguration || (DisableActionConfiguration = {}));
export var EnableActionConfiguration;
(function (EnableActionConfiguration) {
    EnableActionConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EnableActionConfiguration || (EnableActionConfiguration = {}));
export var ResetActionConfiguration;
(function (ResetActionConfiguration) {
    ResetActionConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResetActionConfiguration || (ResetActionConfiguration = {}));
export var SnoozeActionConfiguration;
(function (SnoozeActionConfiguration) {
    SnoozeActionConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SnoozeActionConfiguration || (SnoozeActionConfiguration = {}));
export var CustomerAction;
(function (CustomerAction) {
    CustomerAction.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CustomerAction || (CustomerAction = {}));
export var ComparisonOperator;
(function (ComparisonOperator) {
    ComparisonOperator["EQUAL"] = "EQUAL";
    ComparisonOperator["GREATER"] = "GREATER";
    ComparisonOperator["GREATER_OR_EQUAL"] = "GREATER_OR_EQUAL";
    ComparisonOperator["LESS"] = "LESS";
    ComparisonOperator["LESS_OR_EQUAL"] = "LESS_OR_EQUAL";
    ComparisonOperator["NOT_EQUAL"] = "NOT_EQUAL";
})(ComparisonOperator || (ComparisonOperator = {}));
export var SimpleRuleEvaluation;
(function (SimpleRuleEvaluation) {
    SimpleRuleEvaluation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SimpleRuleEvaluation || (SimpleRuleEvaluation = {}));
export var RuleEvaluation;
(function (RuleEvaluation) {
    RuleEvaluation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RuleEvaluation || (RuleEvaluation = {}));
export var AlarmStateName;
(function (AlarmStateName) {
    AlarmStateName["ACKNOWLEDGED"] = "ACKNOWLEDGED";
    AlarmStateName["ACTIVE"] = "ACTIVE";
    AlarmStateName["DISABLED"] = "DISABLED";
    AlarmStateName["LATCHED"] = "LATCHED";
    AlarmStateName["NORMAL"] = "NORMAL";
    AlarmStateName["SNOOZE_DISABLED"] = "SNOOZE_DISABLED";
})(AlarmStateName || (AlarmStateName = {}));
export var EventType;
(function (EventType) {
    EventType["STATE_CHANGE"] = "STATE_CHANGE";
})(EventType || (EventType = {}));
export var TriggerType;
(function (TriggerType) {
    TriggerType["SNOOZE_TIMEOUT"] = "SNOOZE_TIMEOUT";
})(TriggerType || (TriggerType = {}));
export var StateChangeConfiguration;
(function (StateChangeConfiguration) {
    StateChangeConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StateChangeConfiguration || (StateChangeConfiguration = {}));
export var SystemEvent;
(function (SystemEvent) {
    SystemEvent.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SystemEvent || (SystemEvent = {}));
export var AlarmState;
(function (AlarmState) {
    AlarmState.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AlarmState || (AlarmState = {}));
export var Alarm;
(function (Alarm) {
    Alarm.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Alarm || (Alarm = {}));
export var AlarmSummary;
(function (AlarmSummary) {
    AlarmSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AlarmSummary || (AlarmSummary = {}));
export var BatchAcknowledgeAlarmRequest;
(function (BatchAcknowledgeAlarmRequest) {
    BatchAcknowledgeAlarmRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchAcknowledgeAlarmRequest || (BatchAcknowledgeAlarmRequest = {}));
export var ErrorCode;
(function (ErrorCode) {
    ErrorCode["InternalFailureException"] = "InternalFailureException";
    ErrorCode["InvalidRequestException"] = "InvalidRequestException";
    ErrorCode["ResourceNotFoundException"] = "ResourceNotFoundException";
    ErrorCode["ServiceUnavailableException"] = "ServiceUnavailableException";
    ErrorCode["ThrottlingException"] = "ThrottlingException";
})(ErrorCode || (ErrorCode = {}));
export var BatchAlarmActionErrorEntry;
(function (BatchAlarmActionErrorEntry) {
    BatchAlarmActionErrorEntry.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchAlarmActionErrorEntry || (BatchAlarmActionErrorEntry = {}));
export var BatchAcknowledgeAlarmResponse;
(function (BatchAcknowledgeAlarmResponse) {
    BatchAcknowledgeAlarmResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchAcknowledgeAlarmResponse || (BatchAcknowledgeAlarmResponse = {}));
var InternalFailureException = (function (_super) {
    __extends(InternalFailureException, _super);
    function InternalFailureException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalFailureException", $fault: "server" }, opts)) || this;
        _this.name = "InternalFailureException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalFailureException.prototype);
        return _this;
    }
    return InternalFailureException;
}(__BaseException));
export { InternalFailureException };
var InvalidRequestException = (function (_super) {
    __extends(InvalidRequestException, _super);
    function InvalidRequestException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidRequestException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidRequestException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidRequestException.prototype);
        return _this;
    }
    return InvalidRequestException;
}(__BaseException));
export { InvalidRequestException };
var ServiceUnavailableException = (function (_super) {
    __extends(ServiceUnavailableException, _super);
    function ServiceUnavailableException(opts) {
        var _this = _super.call(this, __assign({ name: "ServiceUnavailableException", $fault: "server" }, opts)) || this;
        _this.name = "ServiceUnavailableException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, ServiceUnavailableException.prototype);
        return _this;
    }
    return ServiceUnavailableException;
}(__BaseException));
export { ServiceUnavailableException };
var ThrottlingException = (function (_super) {
    __extends(ThrottlingException, _super);
    function ThrottlingException(opts) {
        var _this = _super.call(this, __assign({ name: "ThrottlingException", $fault: "client" }, opts)) || this;
        _this.name = "ThrottlingException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ThrottlingException.prototype);
        return _this;
    }
    return ThrottlingException;
}(__BaseException));
export { ThrottlingException };
export var DisableAlarmActionRequest;
(function (DisableAlarmActionRequest) {
    DisableAlarmActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisableAlarmActionRequest || (DisableAlarmActionRequest = {}));
export var BatchDisableAlarmRequest;
(function (BatchDisableAlarmRequest) {
    BatchDisableAlarmRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchDisableAlarmRequest || (BatchDisableAlarmRequest = {}));
export var BatchDisableAlarmResponse;
(function (BatchDisableAlarmResponse) {
    BatchDisableAlarmResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchDisableAlarmResponse || (BatchDisableAlarmResponse = {}));
export var EnableAlarmActionRequest;
(function (EnableAlarmActionRequest) {
    EnableAlarmActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EnableAlarmActionRequest || (EnableAlarmActionRequest = {}));
export var BatchEnableAlarmRequest;
(function (BatchEnableAlarmRequest) {
    BatchEnableAlarmRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchEnableAlarmRequest || (BatchEnableAlarmRequest = {}));
export var BatchEnableAlarmResponse;
(function (BatchEnableAlarmResponse) {
    BatchEnableAlarmResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchEnableAlarmResponse || (BatchEnableAlarmResponse = {}));
export var TimestampValue;
(function (TimestampValue) {
    TimestampValue.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TimestampValue || (TimestampValue = {}));
export var Message;
(function (Message) {
    Message.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Message || (Message = {}));
export var BatchPutMessageRequest;
(function (BatchPutMessageRequest) {
    BatchPutMessageRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchPutMessageRequest || (BatchPutMessageRequest = {}));
export var BatchPutMessageErrorEntry;
(function (BatchPutMessageErrorEntry) {
    BatchPutMessageErrorEntry.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchPutMessageErrorEntry || (BatchPutMessageErrorEntry = {}));
export var BatchPutMessageResponse;
(function (BatchPutMessageResponse) {
    BatchPutMessageResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchPutMessageResponse || (BatchPutMessageResponse = {}));
export var ResetAlarmActionRequest;
(function (ResetAlarmActionRequest) {
    ResetAlarmActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResetAlarmActionRequest || (ResetAlarmActionRequest = {}));
export var BatchResetAlarmRequest;
(function (BatchResetAlarmRequest) {
    BatchResetAlarmRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchResetAlarmRequest || (BatchResetAlarmRequest = {}));
export var BatchResetAlarmResponse;
(function (BatchResetAlarmResponse) {
    BatchResetAlarmResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchResetAlarmResponse || (BatchResetAlarmResponse = {}));
export var SnoozeAlarmActionRequest;
(function (SnoozeAlarmActionRequest) {
    SnoozeAlarmActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SnoozeAlarmActionRequest || (SnoozeAlarmActionRequest = {}));
export var BatchSnoozeAlarmRequest;
(function (BatchSnoozeAlarmRequest) {
    BatchSnoozeAlarmRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchSnoozeAlarmRequest || (BatchSnoozeAlarmRequest = {}));
export var BatchSnoozeAlarmResponse;
(function (BatchSnoozeAlarmResponse) {
    BatchSnoozeAlarmResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchSnoozeAlarmResponse || (BatchSnoozeAlarmResponse = {}));
export var TimerDefinition;
(function (TimerDefinition) {
    TimerDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TimerDefinition || (TimerDefinition = {}));
export var VariableDefinition;
(function (VariableDefinition) {
    VariableDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(VariableDefinition || (VariableDefinition = {}));
export var DetectorStateDefinition;
(function (DetectorStateDefinition) {
    DetectorStateDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DetectorStateDefinition || (DetectorStateDefinition = {}));
export var UpdateDetectorRequest;
(function (UpdateDetectorRequest) {
    UpdateDetectorRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateDetectorRequest || (UpdateDetectorRequest = {}));
export var BatchUpdateDetectorRequest;
(function (BatchUpdateDetectorRequest) {
    BatchUpdateDetectorRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchUpdateDetectorRequest || (BatchUpdateDetectorRequest = {}));
export var BatchUpdateDetectorErrorEntry;
(function (BatchUpdateDetectorErrorEntry) {
    BatchUpdateDetectorErrorEntry.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchUpdateDetectorErrorEntry || (BatchUpdateDetectorErrorEntry = {}));
export var BatchUpdateDetectorResponse;
(function (BatchUpdateDetectorResponse) {
    BatchUpdateDetectorResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchUpdateDetectorResponse || (BatchUpdateDetectorResponse = {}));
export var DescribeAlarmRequest;
(function (DescribeAlarmRequest) {
    DescribeAlarmRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAlarmRequest || (DescribeAlarmRequest = {}));
export var DescribeAlarmResponse;
(function (DescribeAlarmResponse) {
    DescribeAlarmResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAlarmResponse || (DescribeAlarmResponse = {}));
var ResourceNotFoundException = (function (_super) {
    __extends(ResourceNotFoundException, _super);
    function ResourceNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceNotFoundException.prototype);
        return _this;
    }
    return ResourceNotFoundException;
}(__BaseException));
export { ResourceNotFoundException };
export var DescribeDetectorRequest;
(function (DescribeDetectorRequest) {
    DescribeDetectorRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDetectorRequest || (DescribeDetectorRequest = {}));
export var Timer;
(function (Timer) {
    Timer.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Timer || (Timer = {}));
export var Variable;
(function (Variable) {
    Variable.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Variable || (Variable = {}));
export var DetectorState;
(function (DetectorState) {
    DetectorState.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DetectorState || (DetectorState = {}));
export var Detector;
(function (Detector) {
    Detector.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Detector || (Detector = {}));
export var DescribeDetectorResponse;
(function (DescribeDetectorResponse) {
    DescribeDetectorResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDetectorResponse || (DescribeDetectorResponse = {}));
export var DetectorStateSummary;
(function (DetectorStateSummary) {
    DetectorStateSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DetectorStateSummary || (DetectorStateSummary = {}));
export var DetectorSummary;
(function (DetectorSummary) {
    DetectorSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DetectorSummary || (DetectorSummary = {}));
export var ListAlarmsRequest;
(function (ListAlarmsRequest) {
    ListAlarmsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAlarmsRequest || (ListAlarmsRequest = {}));
export var ListAlarmsResponse;
(function (ListAlarmsResponse) {
    ListAlarmsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAlarmsResponse || (ListAlarmsResponse = {}));
export var ListDetectorsRequest;
(function (ListDetectorsRequest) {
    ListDetectorsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDetectorsRequest || (ListDetectorsRequest = {}));
export var ListDetectorsResponse;
(function (ListDetectorsResponse) {
    ListDetectorsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDetectorsResponse || (ListDetectorsResponse = {}));
