import { Logger as __Logger } from "@aws-sdk/types";
import { IoTEventsDataClientConfig } from "./IoTEventsDataClient";

export declare const getRuntimeConfig: (config: IoTEventsDataClientConfig) => {
    apiVersion: string;
    disableHostPrefix: boolean;
    logger: __Logger;
    regionInfoProvider: import("@aws-sdk/types").RegionInfoProvider;
    serviceId: string;
    urlParser: import("@aws-sdk/types").UrlParser;
};
